classification
Title: Make tm_gmtoff and tm_zone available on all platforms
Type: enhancement Stage: resolved
Components: Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: belopolsky Nosy List: belopolsky, python-dev
Priority: normal Keywords: patch

Created on 2015-09-30 16:53 by belopolsky, last changed 2018-06-08 23:22 by belopolsky. This issue is now closed.

Files
File name Uploaded Description Edit
issue25283.diff belopolsky, 2016-09-10 22:42 review
Pull Requests
URL Status Linked Edit
PR 7549 merged belopolsky, 2018-06-08 22:45
Messages (4)
msg251954 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2015-09-30 16:53
See datetime-sig thread [1] for details.

[1]: https://mail.python.org/pipermail/datetime-sig/2015-September/000955.html
msg275928 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-12 02:55
New changeset a96101dd105c by Alexander Belopolsky in branch 'default':
Closes #25283: Make tm_gmtoff and tm_zone available on all platforms.
https://hg.python.org/cpython/rev/a96101dd105c
msg276745 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2016-09-16 20:07
The problem of computing tm_gmtoff on platforms without it was solved by tzcode some time ago. [1,2]  Consider stealing some of their logic.

[1]: http://mm.icann.org/pipermail/tz/2014-September/021601.html
[2]: https://github.com/eggert/tz/commit/40b395e139
msg319118 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2018-06-08 23:22
New changeset bcb032e4acdebc043a7659a06e6037fe71020860 by Alexander Belopolsky in branch 'master':
bpo-33810 Remove unused code from datetime.py. (GH-7549)
https://github.com/python/cpython/commit/bcb032e4acdebc043a7659a06e6037fe71020860
History
Date User Action Args
2018-06-08 23:22:35belopolskysetmessages: + msg319118
2018-06-08 22:45:29belopolskysetpull_requests: + pull_request7183
2016-09-16 20:07:32belopolskysetmessages: + msg276745
2016-09-12 02:55:21python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg275928

resolution: fixed
stage: commit review -> resolved
2016-09-10 22:42:11belopolskysetfiles: + issue25283.diff
keywords: + patch
stage: needs patch -> commit review
2015-09-30 16:53:39belopolskycreate